package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class CorpStatisticsTotal {
    private Long id;

    private String date;

    private Long corpId;

    private Integer chatCnt;

    private Integer messageCnt;

    private Integer negativeFeedbackCnt;

    private Integer newApplyCnt;

    private Integer newContactCnt;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Integer getChatCnt() {
        return chatCnt;
    }

    public void setChatCnt(Integer chatCnt) {
        this.chatCnt = chatCnt;
    }

    public Integer getMessageCnt() {
        return messageCnt;
    }

    public void setMessageCnt(Integer messageCnt) {
        this.messageCnt = messageCnt;
    }

    public Integer getNegativeFeedbackCnt() {
        return negativeFeedbackCnt;
    }

    public void setNegativeFeedbackCnt(Integer negativeFeedbackCnt) {
        this.negativeFeedbackCnt = negativeFeedbackCnt;
    }

    public Integer getNewApplyCnt() {
        return newApplyCnt;
    }

    public void setNewApplyCnt(Integer newApplyCnt) {
        this.newApplyCnt = newApplyCnt;
    }

    public Integer getNewContactCnt() {
        return newContactCnt;
    }

    public void setNewContactCnt(Integer newContactCnt) {
        this.newContactCnt = newContactCnt;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", date=").append(date);
        sb.append(", corpId=").append(corpId);
        sb.append(", chatCnt=").append(chatCnt);
        sb.append(", messageCnt=").append(messageCnt);
        sb.append(", negativeFeedbackCnt=").append(negativeFeedbackCnt);
        sb.append(", newApplyCnt=").append(newApplyCnt);
        sb.append(", newContactCnt=").append(newContactCnt);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}